org.apache.sysds.runtime.instructions.spark

## Class CtableSPInstruction.MapJoinSignature1

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.CtableSPInstruction.MapJoinSignature1

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock[]>

Enclosing class:
  CtableSPInstruction

    public static class CtableSPInstruction.MapJoinSignature1
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock[]>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MapJoinSignature1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock[]` `call(MatrixBlock v1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapJoinSignature1

    public MapJoinSignature1()

### Method Detail

#### call

    public MatrixBlock[] call(MatrixBlock v1)
                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock[]>`
Throws:
  `Exception`